<!DOCTYPE html>
<html <?php if ( is_amp()): ?>⚡ <?php endif; language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width,<?php if ( is_amp()): ?>minimum-scale=1,<?php endif; ?>initial-scale=1">
<?php if ( is_amp()): get_template_part( 'inc/amp','head' ); endif;
if ( !is_amp() && get_theme_mod( 'simple_days_amp','0') == '1' ): ?>
<link rel="amphtml" href="<?php if(is_home()): echo esc_url(home_url( '/' )); else: echo esc_url(get_permalink()); endif; ?>?amp=1" />
<?php endif;
wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  <?php
  if(is_amp() && get_theme_mod( 'simple_days_amp_analytics','') != ''){ ?>
<amp-analytics type="googleanalytics">
<script type="application/json">
{
  "vars": {
    "account": "<?php echo esc_attr(get_theme_mod( 'simple_days_amp_analytics','')) ?>"
  },
  "triggers": {
    "trackPageview": {
      "on": "visible",
      "request": "pageview"
    }
  }
}
</script>
</amp-analytics>
<?php
  } ?>
  <header id="site_header">
    <div class="container">
      <input id="toggle_menu" type="checkbox" />
      <div class="primary_menu_site_title">
        <label for="toggle_menu" class="toggle_label"></label>
    <?php if ( has_custom_logo() ) :?>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site_title logo_box">
        <<?php echo ( (is_amp() )?'amp-img layout="responsive" ':'img');



      if ( is_amp() ):
          if (get_theme_mod( 'simple_days_amp_logo_img',esc_url(get_template_directory_uri() .'/assets/images/amp-logo.png')) != esc_url(get_template_directory_uri() .'/assets/images/amp-logo.png')){
            $amp_logo_id = attachment_url_to_postid( get_theme_mod( 'simple_days_amp_logo_img') );
            $image = wp_get_attachment_image_src( $amp_logo_id, 'full' );
          }else{
            $image = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' );
          }
        else:
          $image = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' );

         endif; ?> src="<?php echo esc_url( $image[0] ); ?>" class="header_logo" width="<?php echo absint( $image[1] ); ?>" height="<?php echo absint( $image[2] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
    <?php else: ?>

		<?php if ( is_front_page() && is_home() ) : ?>
			<h1 class="site_title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" data-tooltip="<?php bloginfo('description'); ?>" class="description_tooltip"><?php bloginfo( 'name' ); ?></a></h1>
		<?php else : ?>
			<p class="site_title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" data-tooltip="<?php bloginfo('description'); ?>" class="description_tooltip"><?php bloginfo( 'name' ); ?></a></p>
		<?php endif; ?>
        <?php endif; ?>
      </div>

      <nav id="header_nav" class="header_nav">
      <?php wp_nav_menu( array(
                 'theme_location'  => 'primary',
                 'menu_class'      => 'primary_menu',
                 'menu_id'         => 'primary_menu',
                 'container'       => 'ul',
                 //'fallback_cb'     => 'simple_days_fallback_menu',
            ));
      ?>
      </nav>
    </div>
  </header>