<?php
  defined('ABSPATH') or die("Please don't run this script.");
/**
 * Extras
 *
 * @package Simple Days
 * @since 0.0.9
 * @version 0.0.2
 */

?>

<?php
function simple_days_excerpt_length($length) {
  return get_theme_mod( 'simple_days_excerpt_length_customize','200');
}
add_filter('excerpt_length', 'simple_days_excerpt_length');

function simple_days_excerpt_more( $more ) {
    if ( !is_admin() ){
    	return '';
    }
}
add_filter( 'excerpt_more', 'simple_days_excerpt_more' );

function simple_days_the_excerpt( $post_excerpt, $post ) {
	if ( !is_admin() ){
      $more = sprintf( '... <br />&gt;&gt;<a class="more-link" href="%1$s" itemprop="url">%2$s</a>',
        esc_url(get_permalink( $post->ID )),
        esc_attr__( 'Read More', 'simple-days' )
      );
      return $post_excerpt . $more;
    }
}
add_filter( 'get_the_excerpt', 'simple_days_the_excerpt', 10, 2 );


function simple_days_document_title_separator( $separator ) {
  $separator = ' | ';
  return $separator;
}
add_filter( 'document_title_separator', 'simple_days_document_title_separator' );


/*
if ( ! function_exists( 'simple_days_fallback_menu' ) ) :

	function simple_days_fallback_menu() {
      if ( current_user_can( 'administrator' )){
		//echo '<ul id="primary_menu" class="primary_menu"><li class="menu-item"><a href="' . esc_url(admin_url( 'nav-menus.php' )) . '">'.esc_attr__( 'Add a menu', 'simple-days' ).'</a></li></ul>';
      }
	}
endif;
*/



function simple_days_replace_content($the_content) {

  if ( is_singular() && (is_active_sidebar( 'before_h2_no1' ) || is_active_sidebar( 'before_h2_no2' ) ||is_active_sidebar( 'before_h2_no3' ))) { //is_single()
    $pattern = '/^<h2.*?>.+?<\/h2>$/im';
    if ( preg_match_all( $pattern, $the_content, $result )) {
      if ( $result[0] ) {
        if ( isset($result[0][0]) && is_active_sidebar( 'before_h2_no1' )) {
            ob_start();
            dynamic_sidebar( 'before_h2_no1' );
            $before_h2 = ob_get_clean();
            $the_content  = str_replace($result[0][0], $before_h2.$result[0][0], $the_content);

        }
        if ( isset($result[0][1]) && is_active_sidebar( 'before_h2_no2' )) {
            ob_start();
            dynamic_sidebar( 'before_h2_no2' );
            $before_h2 = ob_get_clean();
            $the_content  = str_replace($result[0][1], $before_h2.$result[0][1], $the_content);
        }
        if ( isset($result[0][2]) && is_active_sidebar( 'before_h2_no3' ) ) {
            ob_start();
            dynamic_sidebar( 'before_h2_no3' );
            $before_h2 = ob_get_clean();
            $the_content  = str_replace($result[0][2], $before_h2.$result[0][2], $the_content);
        }
      }
    }
  }

  if ( is_amp() ){



    
    $the_content = preg_replace('/style=[\'"]([^\'"]+)[\'"]/i', '', $the_content);

    
    $the_content = preg_replace('/target=[\'"]([^\'"]+)[\'"]/i', '', $the_content);

    
    $the_content = preg_replace('/onclick=[\'"]([^\'"]+)[\'"]/i', '', $the_content);

    
    $the_content = preg_replace('/border=[\'"]([^\'"]+)[\'"]/i', '', $the_content);

    
    $the_content = preg_replace('/<font[^>]+?>/i', '', $the_content);
    $the_content = preg_replace('/<\/font>/i', '', $the_content);

    
    $the_content = preg_replace('/<iframe/i', '<amp-iframe ', $the_content);
    $the_content = preg_replace('/<\/iframe>/i', '</amp-iframe>', $the_content);

    
    $the_content = preg_replace('/ src="http:\/\/ecx.images-amazon.com/i', ' layout="fill"
  src="http://ecx.images-amazon.com', $the_content);
    
    $the_content = preg_replace('/ src="https:\/\/images-fe.ssl-images-amazon.com/i', ' layout="fill"
  src="https://images-fe.ssl-images-amazon.com', $the_content);
    //カエレバ・ヨメレバの楽天商品画像にwidthとhightを追加する
    $the_content = preg_replace('/ src="http:\/\/thumbnail.image.rakuten.co.jp/i', ' width="128" height="128" sizes="(max-width: 128px) 128vw, 128px" src="http://thumbnail.image.rakuten.co.jp', $the_content);
    
    $the_content = preg_replace('/ src="http:\/\/item.shopping.c.yimg.jp/i', ' width="128" height="128" sizes="(max-width: 128px) 128vw, 128px" src="http://item.shopping.c.yimg.jp', $the_content);
    
    $the_content = preg_replace('/<img (.*?)>/i', '<amp-img $1></amp-img>', $the_content);
    $the_content = preg_replace('/<img/i', '<amp-img', $the_content);
  }

  return $the_content;
}
add_filter('the_content','simple_days_replace_content');

