<?php
  defined('ABSPATH') or die("Please don't run this script.");
/**
 * Starter Content
 *
 * @package Simple Days
 * @since 0.1.0
 * @version 0.0.3
 */

?>

<?php

  $starter_content = array(
    'widgets' => array(
      'sidebar-1' => array(
        'search',
        'calendar',
      ),
      'footer-1' => array(
        'text_about',
      ),
      'footer-2' => array(
        'text_business_info',
      ),
      'footer-3' => array(
        'meta',
      ),
      'under_post' => array(
        'my_text' => array(
            'text',
            array(
                'text'  => esc_attr__( 'how about ad area?', 'simple-days' )
            )
        )
      ),
      'on_pagination' => array(
        'my_text' => array(
            'text',
            array(
                'text'  => esc_attr__( 'how about ad area?', 'simple-days' )
            )
        )
      ),

    ),
    'theme_mods' => array(
      'simple_days_sns_share_1' => 'facebook-square',
      'simple_days_sns_share_2' => 'twitter-square',
      'simple_days_sns_share_3' => 'linkedin',
      'simple_days_sns_share_4' => 'google-plus-square',
      'simple_days_sns_share_5' => 'mail',
      'simple_days_sns_icon_1'  => 'facebook-square',
      'simple_days_sns_url_1'   => esc_url('https://www.facebook.com/back2nature.jp/'),
      'simple_days_sns_icon_2'  => 'twitter-square',
      'simple_days_sns_url_2'   => esc_url('https://twitter.com/b2n_jp'),
      'simple_days_sns_icon_3'  => 'google-plus-square',
      'simple_days_sns_url_3'   => esc_url('https://plus.google.com/102108501985824613150'),
      'simple_days_sns_icon_4'  => 'feedly',
      'simple_days_sns_url_4'   => esc_url('http://cloud.feedly.com/#subscription%2Ffeed%2Fhttp%3A%2F%2Fhttps%3A%2F%2Fback2nature.jp%2Ffeed'),
    ),

    'posts' => array(
      'about' => array(
        'thumbnail' => '{{image-1}}',
      ),
      'blog' => array(
        'post_type' => 'post',
        'thumbnail'  => '{{image-2}}',
        'post_title' => esc_html_x('Blog', 'customizer' ,'simple-days'),
        'post_content' => esc_html__( 'You only live once. Might as well enjoy it.' ,'simple-days' ),
      ),
      'services' => array(
        'post_type' => 'page',
        'thumbnail'  => '{{image-3}}',
        'post_title' => esc_html_x('Services', 'customizer' ,'simple-days'),
        'post_content' => esc_html__( 'I will skip work tomorrow.' ,'simple-days' ),
      ),
      'contact' => array(
        'thumbnail' => '{{image-1}}',
      ),

    ),
    'attachments' => array(
      'image-1' => array(
        'file' => 'assets/images/ogp.jpg',
      ),
      'image-2' => array(
        'file' => 'assets/images/404.jpg',
      ),
      'image-3' => array(
        'file' => 'assets/images/blog.jpg',
      ),
    ),

    'nav_menus' => array(
      'primary' => array(
        'name'  => esc_attr__( 'Primary Menu', 'simple-days' ),
        'items' => array(
          'page_about',
          'page_blog',
          'page_service' => array(
            'type' => 'post_type',
            'object' => 'page',
            'object_id' => '{{services}}',
          ),
          'page_contact',
        ),
      ),
    ),
    'options' => array(
      //'show_on_front' => 'page',
      //'page_on_front' => '{{home}}',
      //'page_for_posts' => '{{blog}}',
      'blogdescription' => 'My Awesome Blog'
    ),
  );
  $starter_content = apply_filters( 'simple_days_starter_content', $starter_content );
  add_theme_support( 'starter-content', $starter_content );

