<?php get_header(); ?>
<main id="main" role="main">
  <div class="container">
    <div class="contents">
<?php while ( have_posts() ) : the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
      <header>

        <?php get_template_part( 'inc/header_meta','json' );?>


        <?php get_template_part( 'inc/breadcrumbs' );
              simple_days_breadcrumbs(); ?>
        <h1 class="single_entry_title"><?php the_title(); ?></h1>
        <div class="post_meta">
          <span class="post_author"><i class="fas fa-user"></i> <a href="<?php echo esc_html(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php the_author(); ?></a></span>
          <span class="post_date"><i class="far fa-clock"></i> <time datetime="<?php echo esc_html(get_the_time('c')); ?>"><?php echo esc_html(get_the_date()); ?></time></span>
          <?php if (get_the_modified_date() != get_the_date())
                echo '<span class="post_updated"><i class="fas fa-history"></i> <time datetime="'. esc_html(get_the_modified_time('c')).'">'.esc_attr__( 'Last Updated ', 'simple-days' ).esc_html(get_the_modified_date()).'</time></span>'; ?>
          <?php edit_post_link( '<i class="fas fa-edit"></i>'.esc_attr__( 'Edit this post', 'simple-days' ) , '<span class="post_edit">' , '</span>');?>
        </div>
        <?php if(get_theme_mod( 'simple_days_single_thumbnail','1') == 1 &&has_post_thumbnail()) {?>
           <figure class="single_thumbnail">
           <?php
                $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id (), 'large');
           ?>
              <<?php if ( is_amp() ):
          echo 'amp-img layout="responsive"';
        else: echo 'img'; endif; ?> src="<?php echo esc_url( $thumurl[0] ); ?>" width="<?php echo esc_attr( $thumurl[1] ); ?>" height="<?php echo esc_attr( $thumurl[2] ); ?>" />
           </figure>
        <?php }?>
      </header>

      <div id="post_body" class="post_body">
        <?php the_content(); ?>

        <div class="clearfix"></div>

        <?php  
          if ( is_active_sidebar( 'under_post' ) ) : ?>
          <aside class="under_post_widget">
            <?php dynamic_sidebar( 'under_post' ); ?>
          </aside>
          <?php endif;



          wp_link_pages( array(
            'before'      => '<div class="page-links">' . __( 'Pages:', 'simple-days' ),
            'after'       => '</div>',
            'link_before' => '<span class="page-number">',
            'link_after'  => '</span>',
          ) );

          if(get_theme_mod( 'simple_days_single_social_share','1') == 1){
            get_template_part( 'inc/social','share' );
          }

          if(get_theme_mod( 'simple_days_single_author_profile','1') == 1){
            get_template_part( 'inc/author','profile' );
          }

          if(get_theme_mod( 'simple_days_single_related_post','1') == 1){
            get_template_part( 'inc/related_posts' );
          }

          ?>

      </div>

      <footer>
        <div class="footer_post_meta">
          <div class="post_category"><i class="far fa-folder"></i> <?php the_category(' '); ?></div>
          <div class="post_tag"><?php the_tags('<i class="fas fa-tag"></i> ', ''); ?></div>
          <nav><div class="nav_links">
<?php
$prevpost = get_adjacent_post(false, '', true); 
$nextpost = get_adjacent_post(false, '', false); 
 if ($prevpost) { 
  $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id ($prevpost->ID,  true));

  echo '<a href="' . esc_url(get_permalink($prevpost->ID)) . '" title="' . get_the_title($prevpost->ID) . '" class="nav_links_previous"><span class="nav_title_arrow_previous">&laquo;</span><div>';
  if (!empty($thumurl)){
    echo ( (is_amp() )?'<amp-img layout="fixed"':'<img').' src="'.esc_url( $thumurl[0] ).'" width="100" height="100" />';
  }
  echo '</div><div><span class="p10">'.esc_html__( 'Previous Post', 'simple-days' ).'</span><p>' . esc_html(mb_strimwidth(get_the_title($prevpost->ID), 0, 80, "...", 'UTF-8')) . '</p></div></a>';
 }
 if ( $nextpost ) { 
  $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id ($nextpost->ID,  true));


  echo '<a href="' . esc_url(get_permalink($nextpost->ID)) . '" title="'. get_the_title($nextpost->ID) . '" class="nav_links_next"><div class="flex_mleft"><span class="p10">'.esc_html__( 'Next Post', 'simple-days' ).'</span><p>'. esc_html(mb_strimwidth(get_the_title($nextpost->ID), 0, 80, "...", 'UTF-8')) . '</p></div><div>';
  if (!empty($thumurl)){
    echo ((is_amp())?'<amp-img layout="fixed"':'<img').' src="'.esc_url( $thumurl[0] ).'" width="100" height="100" />';
  }
   echo '</div><span class="nav_title_arrow_next">&raquo;</span></a>';
 }
?>

          </div></nav>
        <?php 
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif; ?>
      </footer>
    </article>

<?php endwhile; ?>

    </div>

      <?php get_sidebar(); ?>

  </div>
</main>
<?php get_footer();
